Public Member Functions

# SEBinary Class Reference

SEBinary Represents a BLOB. This used, for example, for avatar images. More...

`#include <skype-binary.h>`

List of all members.

## Public Member Functions
| SEBinary ()
| SEBinary (const SEBinary &b)
| SEBinary (unsigned char *buf, size_t length)
| SEBinary (char *buf, size_t length)
| ~SEBinary ()
void | set (const void *buf, unsigned int new_size)
void | resize (unsigned int new_size)
void | reserve (unsigned int new_size)
void | set_at_offset (unsigned int offset, const void *buf, unsigned int new_size)
size_t | getSize () const
size_t | size () const
| operator const char * (void) const
const char * | data (void) const
char * | data (void)
| operator char * (void)
bool | operator== (const SEBinary &b) const
bool | operator!= (const SEBinary &b) const
const SEBinary & | operator= (const SEBinary &b)

## Detailed Description

SEBinary Represents a BLOB. This used, for example, for avatar images.

Examples:

  tutorial_11.cpp, and tutorial_15.cpp.

Definition at line 11 of file skype-binary.h.

## Constructor & Destructor Documentation

SEBinary::SEBinary | ( |  | ) | `[inline]`

Definition at line 14 of file skype-binary.h.

SEBinary::SEBinary | ( | const SEBinary & | b | ) | `[inline]`

Definition at line 15 of file skype-binary.h.

SEBinary::SEBinary | ( | unsigned char * | buf,
|  | size_t | length |
| ) |  |  | `[inline]`

Definition at line 18 of file skype-binary.h.

SEBinary::SEBinary | ( | char * | buf,
|  | size_t | length |
| ) |  |  | `[inline]`

Definition at line 21 of file skype-binary.h.

SEBinary::~SEBinary | ( |  | ) | `[inline]`

Definition at line 24 of file skype-binary.h.

## Member Function Documentation

const char* SEBinary::data | ( | void |  | ) | const`[inline]`

Definition at line 42 of file skype-binary.h.

char* SEBinary::data | ( | void |  | ) | `[inline]`

Definition at line 45 of file skype-binary.h.

size_t SEBinary::getSize | ( |  | ) | const`[inline]`

Definition at line 33 of file skype-binary.h.

SEBinary::operator char * | ( | void |  | ) | `[inline]`

Definition at line 48 of file skype-binary.h.

SEBinary::operator const char * | ( | void |  | ) | const`[inline]`

Definition at line 39 of file skype-binary.h.

bool SEBinary::operator!= | ( | const SEBinary & | b | ) | const`[inline]`

Definition at line 52 of file skype-binary.h.

References operator==().

const SEBinary & SEBinary::operator= | ( | const SEBinary & | b | ) |

Definition at line 51 of file skype-binary.cpp.

bool SEBinary::operator== | ( | const SEBinary & | b | ) | const

Definition at line 46 of file skype-binary.cpp.

void SEBinary::reserve | ( | unsigned int | new_size | ) | `[inline]`

Definition at line 29 of file skype-binary.h.

References resize().

void SEBinary::resize | ( | unsigned int | new_size | ) |

Examples:
  tutorial_15.cpp.

Definition at line 14 of file skype-binary.cpp.

void SEBinary::set | ( | const void * | buf,
|  | unsigned int | new_size |
| ) |  |  |

Examples:
  tutorial_11.cpp, and tutorial_15.cpp.

Definition at line 5 of file skype-binary.cpp.

References resize(), and set_at_offset().

void SEBinary::set_at_offset | ( | unsigned int | offset,
|  | const void * | buf,
|  | unsigned int | new_size |
| ) |  |  |

Definition at line 32 of file skype-binary.cpp.

References resize().

size_t SEBinary::size | ( |  | ) | const`[inline]`

Examples:
  tutorial_11.cpp.

Definition at line 36 of file skype-binary.h.

The documentation for this class was generated from the following files:

- skype-binary.h
- skype-binary.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines

(c) Skype Technologies S.A. Confidential/Proprietary

Last updated: Fri Jan 27 2012